boosterTabPrompt = UITutorialPrompt:create(UITutorialTag_BoosterTabButton, 0)

coachPanel = CoachPanel:create("TutorialUpgradeBoosters1", false)
coachPanel:show(0)
boosterTabPrompt:addChild(coachPanel, 1)

boosterTabPrompt:setLightRayScale(0.75)
coroutine.yield(boosterTabPrompt)

node = UITutorialPrompt:findTutorialTag(UITutorialTag_BoosterBuyButton, 0)

-- Check if Damage upgrade hasn't already been purchased.
if node:isVisible() and
    not BAMFGame:sharedGame():getPlayerProfile():getInventory():hasAmount("BoosterDamage1", 1) then
    ShopTransaction:setFreePurchase(true)

    trainingItemBuyPrompt = UITutorialPrompt:create(UITutorialTag_BoosterBuyButton, 0)

    coachPanel = CoachPanel:create("TutorialUpgradeBoosters2", false)
    coachPanel:show(0)
    trainingItemBuyPrompt:addChild(coachPanel, ZOrder_Behind)

    coroutine.yield(trainingItemBuyPrompt)

    ShopTransaction:setFreePurchase(false)
else
    backButtonPrompt = UITutorialPrompt:create(UITutorialTag_BackButton, 0)

    coachPanel = CoachPanel:create("TutorialUpgradeBoosters3", false)
    coachPanel:show(0)
    backButtonPrompt:addChild(coachPanel, ZOrder_Behind)

    coroutine.yield(backButtonPrompt)
end